Bug 977887 - Fix libm performance regression due to set/restore rounding mode
Fix libm performance regression due to set/restore rounding mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Siddhesh Poyarekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 10:21 EDT by Siddhesh Poyarekar
Modified: 2016-11-24 07:13 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.16-33.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 976624
Environment:
Last Closed: 2013-06-29 14:06:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2013-06-25 10:21:59 EDT
+++ This bug was initially created as a clone of Bug #976624 +++

Description of problem:

Some libm functions implement only rounding to nearest, so to ensure correctness they set and restore the default rounding mode.  This is unnecessary in the default case and is hence a performance impediment.  Upstream has solved this by calling the set/restore code only when the current rounding mode is not the default.  Backport that fix.
Comment 1 Fedora Update System 2013-06-25 13:11:52 EDT
glibc-2.16-33.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glibc-2.16-33.fc18
Comment 2 Fedora Update System 2013-06-25 13:24:59 EDT
glibc-2.17-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-11.fc19
Comment 3 Fedora Update System 2013-06-25 13:27:14 EDT
glibc-2.17-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-11.fc19
Comment 4 Fedora Update System 2013-06-25 13:28:08 EDT
glibc-2.17-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-11.fc19
Comment 5 Fedora Update System 2013-06-25 13:31:36 EDT
glibc-2.17-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-11.fc19
Comment 6 Fedora Update System 2013-06-26 13:10:04 EDT
Package glibc-2.17-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.17-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11737/glibc-2.17-11.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-29 14:06:14 EDT
glibc-2.17-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-07 20:54:10 EDT
glibc-2.16-33.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.